Zum Inhalt springen
Leadtime
Deutsch
Esc
navigateopen⌘Jpreview

List form templates

GET/administration/form-templates
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:read
or
AuthorizationBearer token (JWT) · headerrequired
Responses
200
Array of FormTemplateListItemResponseDto
categoryobjectrequired
categoryIdstringrequired
createdAtstring<date-time>required
createdBystringrequired
descriptionstringrequired
fieldsCountnumberrequired
Number of non-deleted fields on this template.
iconobject | null
idstringrequired
namestringrequired
sortnumberrequired
tagsstring[]required
Assigned form-template tag IDs (UUIDs).
updatedAtstring<date-time>required
updatedByobject | null
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X GET "https://leadtime.app/api/public/administration/form-templates" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Response
[
  {
    "category": {},
    "categoryId": "string",
    "createdAt": "2024-01-01T00:00:00Z",
    "createdBy": "string",
    "description": "string",
    "fieldsCount": 0,
    "icon": {},
    "id": "string",
    "name": "string",
    "sort": 0,
    "tags": [
      "string"
    ],
    "updatedAt": "2024-01-01T00:00:00Z",
    "updatedBy": {}
  }
]